// -*- c++ -*-

#ifndef DOCBOOKDOCTYPE_H
#define DOCBOOKDOCTYPE_H

#include "doctypeviewmanager.h"
#include "doctype.h"

class RichTextEditPart;
class KHTMLPart;

/**
 * DocType for DocBook markup.
 */
class DocBookDocType : public DocType
{
public:
    DocBookDocType( const DocTypeInfo &info );
    ~DocBookDocType() {}

    virtual QStyleSheet *styleSheet();
    virtual DocTypeViewManager *createViewManager();

    void createActions( KActionCollection *parent );
};

/**
 * Manages the views for DocBook documents.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id: docbookdoctype.h,v 1.2 2001/12/16 00:12:56 rich Exp $
 */
class DocBookViewManager : public DocTypeViewManager
{
public:
    DocBookViewManager( DocType *type );
    virtual ~DocBookViewManager();

    virtual void openURL( const KURL &url );

    virtual void installViews( QTabWidget *parent, KParts::PartManager *mng );
    virtual void uninstallViews( QTabWidget *parent, KParts::PartManager *mng );

    virtual KParts::Part *findPart( QWidget *w );

private:
    RichTextEditPart *editPart;
    KHTMLPart *htmlPart;
};

#endif // DOCBOOKDOCTYPE_H

// Local Variables:
// c-basic-offset: 4
// End:
