// -*- c++ -*-

#ifndef HTMLDOCTYPE_H
#define HTMLDOCTYPE_H

#include "doctypeviewmanager.h"
#include "../doctype.h"

class KHTMLPart;
class DocTypeInfo;

/**
 * DocType for HTML markup.
 */
class HTMLDocType : public DocType
{
public:
    HTMLDocType( const DocTypeInfo &info );
    ~HTMLDocType() {}

    virtual QStyleSheet *styleSheet();
    virtual DocTypeViewManager *createViewManager();
};

/**
 * Manages the views for HTML documents.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id: htmldoctype.h,v 1.1.1.1 2001/11/29 18:18:10 rich Exp $
 */
class HTMLViewManager : public DocTypeViewManager
{
public:
    HTMLViewManager( DocType *type );
    virtual ~HTMLViewManager();

    virtual void openURL( const KURL &url );

    virtual void installViews( QTabWidget *parent, KParts::PartManager *mng );
    virtual void uninstallViews( QTabWidget *parent, KParts::PartManager *mng );

    virtual KParts::Part *findPart( QWidget *w );

private:
    RichTextEditPart *editPart;
    KHTMLPart *htmlPart;
};

#endif // HTMLDOCTYPE_H

// Local Variables:
// c-basic-offset: 4
// End:
