// -*- c++ -*-

#ifndef QMLDOCTYPE_H
#define QMLDOCTYPE_H

#include "doctypeviewmanager.h"
#include "doctype.h"

class RichTextEditPart;

/**
 * DocType for Qt markup.
 */
class QMLDocType : public DocType
{
public:
    QMLDocType( const DocTypeInfo &info );
    ~QMLDocType() {}

    virtual QStyleSheet *styleSheet();
    virtual DocTypeViewManager *createViewManager();
};

/**
 * Manages the views for QML documents.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id: qmldoctype.h,v 1.1.1.1 2001/11/29 18:18:10 rich Exp $
 */
class QMLViewManager : public DocTypeViewManager
{
public:
    QMLViewManager( DocType *type );
    virtual ~QMLViewManager();

    virtual void openURL( const KURL &url );

    virtual void installViews( QTabWidget *parent, KParts::PartManager *mng );
    virtual void uninstallViews( QTabWidget *parent, KParts::PartManager *mng );

    virtual KParts::Part *findPart( QWidget *w );

private:
    RichTextEditPart *editPart;
};

#endif // QMLDOCTYPE_H

// Local Variables:
// c-basic-offset: 4
// End:
