// -*- c++ -*-

#ifndef RDFDOCTYPE_H
#define RDFDOCTYPE_H

#include "doctypeviewmanager.h"
#include "doctype.h"

class RichTextDocType;

/**
 * DocType for RDF markup.
 */
class RDFDocType : public DocType
{
public:
    RDFDocType( const DocTypeInfo &info );
    ~RDFDocType() {}

    virtual QStyleSheet *styleSheet();
    virtual DocTypeViewManager *createViewManager();

    void createActions( KActionCollection *actionCollection );

private:
    mutable QStyleSheet *sheet;
};

/**
 * Manages the views for RDF documents.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id: rdfdoctype.h,v 1.1.1.1 2001/11/29 18:18:10 rich Exp $
 */
class RDFViewManager : public DocTypeViewManager
{
public:
    RDFViewManager( DocType *type );
    virtual ~RDFViewManager();

    virtual void openURL( const KURL &url );

    virtual void installViews( QTabWidget *parent, KParts::PartManager *mng );
    virtual void uninstallViews( QTabWidget *parent, KParts::PartManager *mng );

    virtual KParts::Part *findPart( QWidget *w );

private:
    RichTextEditPart *editPart;
};

#endif // RDFDOCTYPE_H

// Local Variables:
// c-basic-offset: 4
// End:
