// -*- c++ -*-

#ifndef DOCTYPEVIEWMANAGER_H
#define DOCTYPEVIEWMANAGER_H

#include <qstring.h>

#include <kparts/part.h>
#include <kparts/partmanager.h>

#include <rjmutils/srctexteditpart.h>

class QTabWidget;
class KURL;

class DocTypeViewManager;
class DocType;

/**
 * Manages the views for a particular DocType.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id: doctypeviewmanager.h,v 1.2 2002/02/24 23:14:16 rich Exp $
 */
class DocTypeViewManager
{
public:
    DocTypeViewManager( DocType *type );
    virtual ~DocTypeViewManager() {}

    DocType *docType() const { return type; }

    virtual void openURL( const KURL &url ) = 0;

    virtual void installViews( QTabWidget *parent, KParts::PartManager *mng ) = 0;
    virtual void uninstallViews( QTabWidget *parent, KParts::PartManager *mng ) = 0;

    virtual KParts::Part *findPart( QWidget *w );

    void installSourceView( QTabWidget *parent, KParts::PartManager *mng );
    void uninstallSourceView( QTabWidget *parent, KParts::PartManager *mng );

    KParts::ReadWritePart *sourcePart() const { return srcPart; }

private:
    DocType *type;
    KParts::ReadWritePart *srcPart;
};

#endif // DOCTYPEMANAGER_H

// Local Variables:
// c-basic-offset: 4
// End:
