#include <kdebug.h>
#include <kjs/interpreter.h>
#include <kjs/ustring.h>

#include "kjsembed/dialogfactory.h"
#include "kjsembed/jsconsolepart.h"
#include "kjsembed/jsbinding.h"

#include "global.h"
#include "doctypemanager.h"
#include "xmelegance.h"

Global *xmelGlobalSingleton = 0;

Global::Global()
    : js(0), xmelegance(0), doctypes(0)
{
}

Global::~Global()
{
    delete js;
    delete xmelegance;
    delete doctypes;
}

Global *Global::self()
{
    if ( !xmelGlobalSingleton )
	xmelGlobalSingleton = new Global();
    return xmelGlobalSingleton;
}

XMElegance * Global::xmel()
{
    Global *g = self();
    if ( !g->xmelegance )
	g->xmelegance = new XMElegance();
    return g->xmelegance;
}

KJS::Interpreter *Global::jscript()
{
    Global *g = self();
    if ( !g->js ) {
	g->jsRoot = new KJS::Object( new KJS::ObjectImp() );
	g->js = new KJS::Interpreter( *(g->jsRoot) );

	KJSEmbed::DialogFactory::
	    addBindings( g->js->globalExec(), *(g->jsRoot) );
    }

    return g->js;
}

bool Global::runJScript( const QString &code )
{
    kdDebug() << "Global: runJScript() called for '" << code << "'" << endl;
    bool ok = true;// FIXME!
    jscript()->evaluate( KJS::UString(code) );

    kdDebug() << "Global: runJScript() result is " << ok << endl;
    return ok;
}

DocTypeManager *Global::docTypes()
{
    Global *g = self();
    if ( !g->doctypes ) {
	g->doctypes = new DocTypeManager( 0 );
    }
    return g->doctypes;
}

// Local Variables:
// c-basic-offset: 4
// End:

