// -*- c++ -*-

#ifndef GLOBAL_H
#define GLOBAL_H

namespace KJS {
    class Interpreter;
    class Object;
};

class XMElegance;
class DocTypeManager;

/**
 * Accessors for XMElegance global objects.
 */
class Global
{
public:
    /** The main xmelegance backend (currently this is just the TLW). */
    static XMElegance *xmel();

    /** The main Javascript interpreter. */
    static KJS::Interpreter *jscript();

    /** The collection of available DocTypes. */
    static DocTypeManager *docTypes();

    /** Utility method that runs a fragment of Javascript in the main interpreter. */
    static bool runJScript( const QString &code );

    /** Provides access to the singleton instance. */
    static Global *self();

private:
    Global();
    ~Global();

    //    void installBindings();

    KJS::Interpreter *js;
    KJS::Object *jsRoot;
    XMElegance *xmelegance;
    DocTypeManager *doctypes;
};

#endif // GLOBAL_H


// Local Variables:
// c-basic-offset: 4
// End:

