#include <qfile.h>

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>

#include "global.h"
#include "xmelegance.h"

int main( int argc, char **argv )
{
    static KCmdLineOptions options[] = {
        { "+file", I18N_NOOP( "A filename" ), 0 },
        { 0, 0, 0 }
    };

    KAboutData about("xmelegance", I18N_NOOP("XMElegance"), "Pre-0.0",
		     I18N_NOOP("An XML/HTML Editor"),
                     KAboutData::License_Unknown,
		     I18N_NOOP("(c) 2001 Richard Moore"));
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;

    kdDebug() << "Creating main window" << endl;
    XMElegance *win = Global::xmel();
    win->resize( 600, 450 );
    app.setMainWidget( win );
    app.connect( &app, SIGNAL( lastWindowClosed() ), SLOT(quit()) );

    kdDebug() << "Processing arguments" << endl;
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    if ( args->count() ) {
      kdDebug() << "Got a filename, loading" << endl;
      win->openURL( args->url(0) );
    }

    kdDebug() << "Showing main window" << endl;
    win->show();

    kdDebug() << "Starting event loop" << endl;
    return app.exec();
}

// Local Variables:
// c-basic-offset: 4
// End:
